package projectabarrotes.Mapeos;
// Generated 27/10/2014 08:16:01 AM by Hibernate Tools 4.3.1



/**
 * Producto generated by hbm2java
 */
public class Producto  implements java.io.Serializable {


     private Integer idProducto;
     private String nombreProducto;
     private String descripcion;
     private String presentacion;
     private String caducidad;
     private Float precioProv;
     private Float precioUni;
     private Integer existencias;
     private String fech;
     private String marca;
     private int idProveedor;
     private Paquete paquete;
     private Inventario inventario;

    public Producto() {
    }

	
    public Producto(String fech, int idProveedor) {
        this.fech = fech;
        this.idProveedor = idProveedor;
    }
    public Producto(String nombreProducto, String descripcion, String presentacion, String caducidad, Float precioProv, Float precioUni, Integer existencias, String fech, String marca, int idProveedor, Paquete paquete, Inventario inventario) {
       this.nombreProducto = nombreProducto;
       this.descripcion = descripcion;
       this.presentacion = presentacion;
       this.caducidad = caducidad;
       this.precioProv = precioProv;
       this.precioUni = precioUni;
       this.existencias = existencias;
       this.fech = fech;
       this.marca = marca;
       this.idProveedor = idProveedor;
       this.paquete = paquete;
       this.inventario = inventario;
    }
   
    public Integer getIdProducto() {
        return this.idProducto;
    }
    
    public void setIdProducto(Integer idProducto) {
        this.idProducto = idProducto;
    }
    public String getNombreProducto() {
        return this.nombreProducto;
    }
    
    public void setNombreProducto(String nombreProducto) {
        this.nombreProducto = nombreProducto;
    }
    public String getDescripcion() {
        return this.descripcion;
    }
    
    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }
    public String getPresentacion() {
        return this.presentacion;
    }
    
    public void setPresentacion(String presentacion) {
        this.presentacion = presentacion;
    }
    public String getCaducidad() {
        return this.caducidad;
    }
    
    public void setCaducidad(String caducidad) {
        this.caducidad = caducidad;
    }
    public Float getPrecioProv() {
        return this.precioProv;
    }
    
    public void setPrecioProv(Float precioProv) {
        this.precioProv = precioProv;
    }
    public Float getPrecioUni() {
        return this.precioUni;
    }
    
    public void setPrecioUni(Float precioUni) {
        this.precioUni = precioUni;
    }
    public Integer getExistencias() {
        return this.existencias;
    }
    
    public void setExistencias(Integer existencias) {
        this.existencias = existencias;
    }
    public String getFech() {
        return this.fech;
    }
    
    public void setFech(String fech) {
        this.fech = fech;
    }
    public String getMarca() {
        return this.marca;
    }
    
    public void setMarca(String marca) {
        this.marca = marca;
    }
    public int getIdProveedor() {
        return this.idProveedor;
    }
    
    public void setIdProveedor(int idProveedor) {
        this.idProveedor = idProveedor;
    }
    public Paquete getPaquete() {
        return this.paquete;
    }
    
    public void setPaquete(Paquete paquete) {
        this.paquete = paquete;
    }
    public Inventario getInventario() {
        return this.inventario;
    }
    
    public void setInventario(Inventario inventario) {
        this.inventario = inventario;
    }




}


